<app-loading *ngIf="isLoadingPage"></app-loading>
<div>
  <form nz-form [formGroup]='form'>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col [nzLg]='12' [nzXs]='12' class='select__employee'>
        <employee-data-picker
          [mbCanText]='true'
          formControlName='employee'
          mbLabelText="{{'partnership.pns-contract.label.chooseEmployee' | translate}} <span class='label__required'>*</span>"
          [mbType]="isSubmitted && form.controls['employee'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['employee'].errors !== null"
          [mbErrors]="form.controls['employee'].errors"
          [functionCode]="functionCode"
          [scope]="scope"
          [empTypes]="empTypes"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.employee' | translate }}]"
        ></employee-data-picker>
      </div>
      <div nz-col [nzLg]='12' [nzXs]='12'>
        <mb-input-text
          formControlName='amountFee'
          [mbInputType]='"number"'
          [isFormatterCurrency]='true'
          [mbType]="isSubmitted && form.controls['amountFee'].errors ? 'error' : 'default'"
          [mbShowError]='isSubmitted && form.controls["amountFee"].errors != null'
          [mbErrors]='form.controls["amountFee"].errors'
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': '10' }},
          { errorName: 'onlyNumber', errorDescription: 'partnership.pns-contract.validate.onlyNumber' | translate },
          { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.contractFee' | translate }}]"
          mbPlaceholderText='{{"partnership.pns-contract.label.contractFee" | translate}}'
          mbLabelText='{{"partnership.pns-contract.label.contractFee" | translate}} <span class="label__required">*</span>'
          appNumberic
          [num]="10"
        ></mb-input-text>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col [nzLg]='12' [nzXs]='12'>
        <mb-date-picker
          [mbType]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
          [mbShowError]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
          [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
          [mbErrorDefs]="[
	                  { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param':'partnership.pns-contract.label.fromDate' | translate }},
	                  { errorName: 'rangeDateError', errorDescription: 'partnership.validate.rangeDate.pareDate' | translate:
                {'fromDate': 'partnership.pns-contract.label.fromDate' | translate, 'toDate': 'partnership.pns-contract.label.toDate' | translate}}
                ]"          
          mbPlaceholderText="{{'partnership.pns-contract.label.fromDate' | translate}}"
          mbLabelText="{{'partnership.pns-contract.label.fromDate' | translate}} <span class='label__required'>*</span>"
          formControlName='fromDate'></mb-date-picker>
      </div>
      <div nz-col [nzLg]='12' [nzXs]='12'>
        <mb-date-picker
          [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.fromDate' | translate }}]"
          mbPlaceholderText="{{'partnership.pns-contract.label.toDate' | translate}}"
          mbLabelText="{{'partnership.pns-contract.label.toDate' | translate}}"
          formControlName='toDate'></mb-date-picker>
      </div>

    </div>
    <div nz-row [nzGutter]='[30,30]' *ngIf="contractFeeEdit?.status === 2">
      <div nz-col [nzLg]='24' [nzXs]='24'>
        <mb-input-text formControlName="rejectReason" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }"
           [mbMaxLength]="500"
           [mbType]="isSubmitted && form.controls['rejectReason'].errors ? 'error' : 'default'"
           [mbShowError]="isSubmitted && form.controls['rejectReason'].errors !== null"
           [mbErrors]="form.controls['rejectReason'].errors"
           [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.rejectReason' | translate }},
          { errorName: 'maxlength', errorDescription: 'partnership.pns-contract.validate.maxLength' | translate: {'numberLength': '500' }}]"
           mbPlaceholderText="{{'partnership.pns-contract.label.rejectReason' | translate}}"
           mbLabelText="{{'partnership.pns-contract.label.rejectReason' | translate}}"></mb-input-text>
      </div>
    </div>

    <!--Button-->
    <div nz-row [nzGutter]='[30,0]' class='btnGroup'>
      <div nz-col [nzXs]='24' [nzLg]='24' [ngStyle]="{'text-align': 'right'}">
        <button
          nz-button
          nzType='default'
          (click)='closeModalAdd()'
        >{{'partnership.dependentRegisters.cancel' | translate}}</button>
        <mb-button
          mbButtonSize='SMALL'
          mbButtonAvailableStyle='PRIMARY'
          (click)='onSave()'
          mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"
        ></mb-button>

      </div>
    </div>
    <!--End: Button-->

  </form>
</div>


<!-- Trạng thái -->
<ng-template #statusTmpl let-isCheck='controls["isCheck"].value'>
  <ng-container *ngFor='let item of constant.CONTRACT_LIQUIDATION_APPROVAL_STATUS'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}"
            *ngIf='isCheck === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>
<!--End: Trạng thái-->
